import request from '@/utils/request'

export function getList(data) {
  return request({
    url: 'api/quartzJob/list',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'api/quartzJob/add',
    method: 'post',
    data
  })
}

export function getById(data) {
  return request({
    url: 'api/quartzJob/getById',
    method: 'post',
    data
  })
}

export function editById(data) {
  return request({
    url: 'api/quartzJob/edit',
    method: 'post',
    data
  })
}

export function delById(data) {
  return request({
    url: 'api/quartzJob/delete',
    method: 'post',
    data
  })
}

export function modifyStatus(data) {
  return request({
    url: 'api/quartzJob/modifyStatus',
    method: 'post',
    data
  })
}

export function executionById(data) {
  return request({
    url: 'api/quartzJob/exec',
    method: 'post',
    data
  })
}

export function getLogsList(data) {
  return request({
    url: 'api/quartzLog/list',
    method: 'post',
    data
  })
}

export function getWellReceivedList(data) {
  return request({
    url: 'api/clickOrder/list',
    method: 'post',
    data
  })
}

export function getBrowseDataList(data) {
  return request({
    url: 'api/ctBrowse/list',
    method: 'post',
    data
  })
}

export function getDhCarList(data) {
  return request({
    url: 'api/dhAddCar/list',
    method: 'post',
    data
  })
}
